gstreamer setup

Asked by Sean on 2008-08-17

I am unsure of a few points in the following
Ubuntu 8.04 LTS

The following packages are required:

    * libgstreamer0.10-0
    * gstreamer0.10-x
    * gstreamer0.10-gnomevfs
    * gstreamer0.10-plugins-base
    * gstreamer0.10-pulseaudio
    * libgstreamer-plugins-base0.10-dev
    * libgstreamer0.10-dev

            Run in terminal:

            sudo apt-get install libgstreamer0.10-0 gstreamer0.10-x gstreamer0.10-gnomevfs gstreamer0.10-plugins-base gstreamer0.10-pulseaudio libgstreamer-plugins-base0.10-dev libgstreamer0.10-dev

The following packages are recommended:

    * gstreamer0.10-plugins-good
    * gstreamer0.10-plugins-bad
    * gstreamer0.10-plugins-ugly (for mp3 playback)
    * gstreamer0.10-ffmpeg
    * gstreamer0.10-fluendo-mp3 (alternate for mp3 playback)

If you have enabled the Multiverse repository, you can also install these packages:

    * gstreamer0.10-plugins-bad-multiverse
    * gstreamer0.10-plugins-ugly-multiverse

If you use the Adobe Flash Player in Firefox then you should install libflashsupport so that it knows how to talk to Ubuntu's Pluseaudio sound server.

How does one enable the multivers repository???

How does one get the gstreamer packages 10 lines or so above

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu gst-plugins-base0.10 Edit question
Assignee:
No assignee Edit question
Solved by:
Tony Mugan
Solved:
2008-08-18
Last query:
2008-08-18
Last reply:
2008-08-18

This question was reopened

  • 2008-08-18 by Sean

Using System->Administration->Software sources [Ubuntu software tab] please enable (Check the checkbox) all the showed repositories rows or only the multiverse row.

Hope this helps

Sean (mareshah) said : #2

thanks again

Sean (mareshah) said : #3

How do I actually install......

    * gstreamer0.10-plugins-good
    * gstreamer0.10-plugins-bad
    * gstreamer0.10-plugins-ugly (for mp3 playback)
    * gstreamer0.10-ffmpeg
    * gstreamer0.10-fluendo-mp3 (alternate for mp3 playback)

If you have enabled the Multiverse repository, you can also install these packages:

    * gstreamer0.10-plugins-bad-multiverse
    * gstreamer0.10-plugins-ugly-multiverse

thanks

Best Tony Mugan (tmugan) said : #4

You can run System menu, administration, Synaptic and search for "gstreamer"

The click the one's you wish to install

Sean (mareshah) said : #5

without trying it thisspeaks to me in being the answer!!!

thank you

Sean (mareshah) said : #6

its so simple when you know how!
thanks to you
thanks
John